<div class="botones">
  <button type="button" class="boton-1" (click)="funcionb1On()">Boton 1</button>
  <button type="button" class="boton-2" (click)="funcionb2On()">Boton 2</button>
  <button type="button" class="boton-3" (click)="funcionb3On()">Boton 3</button>
</div>

<div class="contenedor" [ngSwitch]="inicio">
  <div *ngSwitchCase="0" >
    <h4>No se presiono el boton 1</h4>
    <h4>No se presiono el boton 2</h4>
    <h4>No se presiono el boton 3</h4>
  </div>
  <div *ngSwitchCase="1" >
    <h4>Se presiono el boton 1</h4>
  </div>
  <div *ngSwitchCase="2" >
    <h4>Se presiono el boton 2</h4>
  </div>
  <div *ngSwitchDefault>
    <h4>Se presiono el boton 3 por default</h4>  
  </div>
</div>